<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

abstract class EPayNotifyRequestHandler {

  abstract public function getEPayInfo();
  abstract public function getEmailXML();
  abstract public function getEmailXMLKurse();

  abstract protected function validateRequestStructure();
  abstract protected function validateRequestContent();

  public function validate() {
    return $this->validateRequestStructure() && $this->validateRequestContent();
  }
}